Running a iPhone3 on G3 iMac - help needed

Discussion in 'iPhone Tips, Help and Troubleshooting' started by Fuzzy14, Sep 7, 2010.

  1. Fuzzy14 macrumors 65816

    Fuzzy14

    Joined:
    Nov 19, 2006
    Location:
    Renfrew, Scotland
    #1
    Short problem: my iPhone 3 (not GS) won’t activate or talk to my iMac G3 running iTunes 8.2 on Tiger 10.4.11, although I reckon it should (“this iPhone requires iTunes 9.2”)

    More details: I’m away on business a lot, so I’ve rented another house and moved in my old year 2000 graphite slot loading G3 iMac running the last system available to it, Tiger 10.4.11. I’ve got a MacBook back home which the wife uses. I bought an iPhone 4 but realised that it won’t run on the old girl, so I gave it to the wife and took her old iPhone 3 (not the GS) which is running iOS 4.0.2. I wiped it, bought a new SIM card (Tesco rolling contract) then plugged it into the iMac but get the error message “this iPhone requires iTunes 9.2”. I can’t download iTunes 9 as it requires an Intel processor.

    According to this iTunes version history, it should work.
    http://en.wikipedia.org/wiki/ITunes_version_history

    Do I need to roll back the iOS or firmware? Do I need to jailbreak the phone? How is this done on a wiped phone that hasn’t been activated.

    Ta much for any suggestions.
     
  2. dZp macrumors 6502a

    dZp

    Joined:
    Mar 29, 2006
    #2
    iTunes 9.2.x is Universal (PPC + Intel). It's your G3 processor that is not up to scratch for it.
     
  3. Fuzzy14 thread starter macrumors 65816

    Fuzzy14

    Joined:
    Nov 19, 2006
    Location:
    Renfrew, Scotland
    #3
    OK, but an iPhone 3 should still work with iTunes 8.2

    And anybody with a PC from a similar age running Windows XP would be able to use it.

    I've done a quick search, it looks like I may be able to get iTunes 9 for my G3 although it isn't supported so I'll try that tonight.
     

Share This Page